import { Component, OnInit, NgZone, ChangeDetectorRef } from '@angular/core';
declare const window: any;
declare const TAF: any;
declare const SocialInviter: any;
@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  title = 'socialinviter';
  TAF: any;
  SocialInviter: any;

  txtloadedContacts: any = '';
  txtselectedcontacts: any = '';
  constructor(private _ngZone: NgZone, private ref: ChangeDetectorRef) {
    window['angularComponent'] = { runThisFunctionFromOutside: this.initSocialInviter.bind(this), zone: _ngZone };
  }
  ngOnInit() {

  }

  // Set callbacks for SocialInviter
  initSocialInviter() {
    this._ngZone.run(() => {
      this.TAF = TAF;
      SocialInviter.set({
        callbacks: {
          imported: (service: any, profile?: any, addressbook?: any) => {
            // Add your logic here...
            const len = addressbook.length;
            let contacts = "";
            for (var i = 0; i < len; i++) {
              contacts += ((i != 0) ? ", " : "") + addressbook[i].name.first_name + " " + addressbook[i].name.last_name;
              contacts += "< " + addressbook[i].email[0] + " > ";
            }
            this.txtloadedContacts = contacts;
            console.log('profile', profile);
            this.ref.detectChanges();
          },
          proceed: (service: any, profile?: any, addressbook?: any, selected?: any) => {
            // Add your logic here...
            const len = selected.length;
            let contacts = "";
            for (var i = 0; i < len; i++) {
              contacts += ((i != 0) ? ", " : "") + selected[i].name.first_name + " " + selected[i].name.last_name;
              contacts += "< " + selected[i].email[0] + " > ";
            }
            this.txtselectedcontacts = contacts;
            this.ref.detectChanges();
          },
          send: (service: any, profile?: any, addressbook?: any, selected?: any, successObjects?: any, errorObjects?: any) => {
            // Add your logic here...
            const len = selected.length;
            let contacts = "";
            for (var i = 0; i < len; i++) {
              contacts += ((i != 0) ? ", " : "") + selected[i].name.first_name + " " + selected[i].name.last_name;
              contacts += "< " + selected[i].email[0] + " > ";
            }
            this.txtselectedcontacts = contacts;
            this.ref.detectChanges();
          }
        }
      });
    });
  }
}
